# Class CdfDomains

java.lang.Object
uk.ac.starlink.cdf.CdfDomains

public class CdfDomains extends Object
Utility class for identifying domain mappers for CDF datatypes. Currently the epoch-like columns are identified as in the Time domain.

Since:
  15 Aug 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`CdfDomains()`

## Method Summary

Modifier and Type
Method
Description
`static uk.ac.starlink.table.DomainMapper`
`getMapper(uk.ac.bristol.star.cdf.DataType dtype)`
Returns an appropriate DomainMapper for a given CDF data type.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CdfDomains

public CdfDomains()

## Method Details

### getMapper

public static uk.ac.starlink.table.DomainMapper getMapper(uk.ac.bristol.star.cdf.DataType dtype)
Returns an appropriate DomainMapper for a given CDF data type.

Parameters:
  `dtype` - data type
Returns:
  appropriate domain mapper, or null